<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400;600&display=swap" rel="stylesheet">
    <link href="
    https://cdn.jsdelivr.net/npm/@splidejs/splide@4.1.4/dist/css/splide.min.css
    " rel="stylesheet">
    
    <link rel="stylesheet" href="CSS/styles.css">
    <link rel="stylesheet" href="CSS/modal.css">

</head>
<body>
    <section class="main-page">
        <div class="wrapper">
            <img src="img/logo.png" alt="goit-logo" class="goit-logo">
        <div class="my-city-container">
            <h1>Київ</h1>
            <p class="my-city-descr">
                Наша каштанова столиця.<br>
        Місто засноване 482 року, налічує близько 3 мільйонів сердець та є 7-м за величиною містом Європи. Найширша й, водночас, найкоротша вулиця в усій Європі - Хрещатик.<br>
        Метро Києва - одне з найстаріших в Європі, а станція «Золоті ворота» входить в топ-10 найкрасивіших у світі. Від світанків на Співочому полі, заходів сонця на Дніпрі до неймовірно смачної перепічки - тут усе таке рідне.
            </p>
        </div>
        </div>
    </section>

    <section class="form-page">
        <form action="#"  class="form" id="form" netlify>
            <h2 class="form-title">Підпишись на новини міста</h2>
            <input type="text" class="form-field" id="user-name" name="Ім'я користувача" placeholder="Ім'я">
            <input type="email" class="form-field"  id="user-email" name="email" placeholder="Email">
            <button class="form-submit-btn" id="form-submit-btn">Підписатись</button>

        </form>

    </section>

    <section class="gallery-page">
        <h2 class="gallery-title">Київ = каштанова столиця</h2>
        <div class="wrapper">
            <div class="gallery">
               <button class="gallery-modal-btn" data-micromodal-trigger="modal" data-index="0">
                <img src="img/1.jpg" alt="Kyiv photo 1" class="city-photo">
               </button> 
               <button class="gallery-modal-btn" data-micromodal-trigger="modal" data-index="1">
                <img src="img/2.jpg" alt="Kyiv photo 2" class="city-photo">
               </button> 
               <button class="gallery-modal-btn" data-micromodal-trigger="modal" data-index="2">
                <img src="img/3.jpg" alt="Kyiv photo 3" class="city-photo">
               </button> 
               <button class="gallery-modal-btn" data-micromodal-trigger="modal" data-index="3">
                <img src="img/4.jpg" alt="Kyiv photo 4" class="city-photo">
               </button> 
               <button class="gallery-modal-btn" data-micromodal-trigger="modal" data-index="4">
                <img src="img/5.jpg" alt="Kyiv photo 5" class="city-photo">
               </button> 
               <button class="gallery-modal-btn" data-micromodal-trigger="modal" data-index="5">
                <img src="img/6.jpg" alt="Kyiv photo 6" class="city-photo">
               </button> 
               <button class="gallery-modal-btn" data-micromodal-trigger="modal" data-index="6">
                <img src="img/7.jpg" alt="Kyiv photo 7" class="city-photo">
               </button> 
               <button class="gallery-modal-btn" data-micromodal-trigger="modal" data-index="7">
                <img src="img/8.jpg" alt="Kyiv photo 8" class="city-photo">
               </button> 
            </div>
        </div>
    </section>

    <div class="modal micromodal-slide" id="modal" aria-hidden="true">
        <div class="modal__overlay" tabindex="-1" data-micromodal-close>
            <div class="modal__container" role="dialog" aria-modal="true" aria-labelledby="modal-title">
                <header class="modal__header">
                    <h2 class="modal__title" id="modal-title">
                        Cвітлини міста Києва
                    </h2>
                    <button class="modal__close" aria-label="Close modal" data-micromodal-close></button>
                </header>
                <main class="modal__content" id="modal-content">
                    <div class="splide" role="group" aria-label="city-gallery">
                        <div class="splide__track">
                            <ul class="splide__list">
                                <li class="splide__slide">
                                    <img src="img/1.jpg" alt="">
                                </li>
                                <li class="splide__slide">
                                    <img src="img/2.jpg" alt="">
                                </li>
                                <li class="splide__slide">
                                    <img src="img/3.jpg" alt="">
                                </li>
                                <li class="splide__slide">
                                    <img src="img/4.jpg" alt="">
                                </li>
                                <li class="splide__slide">
                                    <img src="img/5.jpg" alt="">
                                </li>
                                <li class="splide__slide">
                                    <img src="img/6.jpg" alt="">
                                </li>
                                <li class="splide__slide">
                                    <img src="img/7.jpg" alt="">
                                </li>
                                <li class="splide__slide">
                                    <img src="img/8.jpg" alt="">
                                </li>
                            </ul>
                        </div>
                    </div>
                </main>
            </div>
        </div>
    </div>


    <script src="https://unpkg.com/micromodal/dist/micromodal.min.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/@splidejs/splide@4.1.4/dist/js/splide.min.js"></script>
   
    <script src="js/form.js"></script>
    <script src="js/slider&modal.js"></script>
</body>
</html>